title: Game

create:
  status: draft

sections:
  fields:
    type: fields
    fields:
      max:
        width: 2/12
        label: Game Max
        type: select
        default: "501"
        options:
          - "301"
          - "501"
          - "701"
      sets:
        width: 1/12
        label: Sets
        type: number
        default: 1
      legs:
        width: 1/12
        label: Legs
        type: number
        default: 7
      in:
        width: 1/12
        label: In
        type: select
        default: "Straight"
        options:
          - "Straight"
          - "Double"
          - "Master"
      out:
        width: 1/12
        label: Out
        type: select
        default: "Double"
        options:
          - "Straight"
          - "Double"
          - "Master"
      players:
        width: 6/12
        label: Players
        type: pages
        multiple: true
        query: site.find('members')
        text: "{{ page.forename }} {{ page.surname }} <em>({{ page.nickname }})</em>"
      startdate:
        width: 6/12
        label: Start
        type: date
        time:
          step:
            unit: minute
            size: 1
      enddate:
        width: 6/12
        label: End
        type: date
        time:
          step:
            unit: minute
            size: 1
      # bulled:
      #   width: 2/12
      #   label: Bulled
      #   type: toggle
      #   text:
      #     - Nope
      #     - "Yes"
      rounds:
        label: Rounds
        type: json
        width: 3/6
      stats:
        label: Stats
        type: json
        width: 3/6
      comment:
        label: Comment
        type: textarea
        size: small
        width: 6/6
